Skip to main content
GET
/
nft
/
collection
/
rarity
Get Collection Rarity Summary
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/collection/rarity \
  --header 'X-API-KEY: <api-key>'
{
  "traits": [
    {
      "name": "Background",
      "attributes": [
        {
          "attribute_name": "Background",
          "count": "Red"
        }
      ],
      "token_count": "10",
      "trait_percentage": "10"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
10143,
11011,
11124,
11155111,
11155420,
130,
1301,
137,
168587773,
1868,
1946,
2741,
300,
324,
33111,
33139,
360,
37111,
421614,
43113,
480,
4801,
534351,
534352,
5371,
5373,
59141,
7777777,
80002,
80094,
81457,
84532,
999999999
Example:

1

contractAddress
string
default:0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8
required

The address of the NFT collection to query.

Example:

"0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8"

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
Alchemy

Response

200 - application/json
traits
object[]
required

The traits of the NFT collection.